Bug 457193 - [a11y] Base; Exiting Relation Design window after saving a relationship table crashes OOo
[a11y] Base; Exiting Relation Design window after saving a relationship table...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 03:49 EDT by stuff
Modified: 2008-09-10 02:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from a resulting crash (12.30 KB, text/plain)
2008-07-30 03:49 EDT, stuff
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 92253 None None None Never

  None (edit)
Description stuff 2008-07-30 03:49:22 EDT
Description of problem:
In Base. If the Relation Design window(tools-relationships) is accessed while a
table is saved there, then trying to exit the window will result in OOo crashing.

Version-Release number of selected component (if applicable):
openoffice.org-base-1:2.4.1-17.4.fc9 (x86_64)

How reproducible:
Easy

Steps to Reproduce:
1.Create DB with some tables
2.select tools-relationships
3.Add one or more tables
4.press save icon
5.press exit icon in upper right hand corner
  
Actual results:
OOo crashes

Expected results:
Window should close

Additional info:
I orginally raised this issue with OOo
http://qa.openoffice.org/issues/show_bug.cgi?id=92253. They informed me that
they do not do a 64 bit build as standard and suggested I come here.
Comment 1 stuff 2008-07-30 03:49:22 EDT
Created attachment 312969 [details]
Output from a resulting crash
Comment 2 Caolan McNamara 2008-07-30 04:11:24 EDT
I see that the crash is related to accessbility, so if you don't need
accessibility features you can workaround this and disable them in the gnome
system->preferences->personal->assistive technologies and restart your session
Comment 3 stuff 2008-07-30 05:48:35 EDT
Yay. The work around works. Thank you.

What indicates that the crash is related to accessibility? 

I see accessibility referenced a few times however the only thing that seems to
highlight this is that lines 49-56 contain much more detail than other lines.

I am trying to understand what I can so I can pass on the info back to OOo to
help them close off the issue I opened there.

This problem was driving me CRAZY! so again, thanks.
Comment 4 Caolan McNamara 2008-07-30 06:03:13 EDT
The "accessibility is: true" line is a hint, but the big give away is the

... (Window::GetAccessibleName() const + 0x23) ... line just before we enter
libc (near the top) before the final crash.

Don't worry about the upstream issue, I'll track down the broken piece of code
and supply upstream with a fix when I find it.
Comment 5 stuff 2008-07-30 06:26:38 EDT
Thanks for the education.

I told OOo I would provide an update with any solution found. I have and I
referred them back to here in case they are interested.

Thanks again.
Comment 6 Caolan McNamara 2008-07-30 10:18:51 EDT
Workaround checked in, will be in >= 2.4.1-17.5 if we do another F-9 release
Comment 7 Fedora Update System 2008-08-07 07:06:27 EDT
openoffice.org-2.4.1-17.5.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-08-12 14:26:15 EDT
openoffice.org-2.4.1-17.5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7220
Comment 9 Fedora Update System 2008-08-28 03:47:29 EDT
openoffice.org-2.4.1-17.6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/openoffice.org-2.4.1-17.6.fc9
Comment 10 Fedora Update System 2008-09-10 02:39:08 EDT
openoffice.org-2.4.1-17.6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.